Page MenuHomePhabricator

Make sure all copyright issues are ok
Closed, ResolvedPublicAug 1 2019

Description

KMA hilsen: PD
Report from book: check with The National Archive

Details

Due Date
Aug 1 2019, 12:00 AM

Event Timeline

WMNOastrid set Due Date to Aug 1 2019, 12:00 AM.
Restricted Application changed the subtype of this task from "Task" to "Deadline". · View Herald TranscriptJun 20 2019, 11:55 AM
jhsoby-WMNO closed this task as Resolved.Oct 18 2019, 1:24 PM